name: ngrok
version: 3.20.0
summary: ngrok secure introspectable tunnels to localhost.
description: ngrok is a secure ingress platform that enables developers to add global
  server load balancing, reverse proxy, firewall, API gateway and Kubernetes Ingress
  to applications and APIs.
architectures:
- amd64
base: core22
apps:
  ngrok:
    command: ngrok
    plugs:
    - network
    - network-bind
    - home
    - ngrok-config
confinement: strict
grade: stable
environment:
  LD_LIBRARY_PATH: ${SNAP_LIBRARY_PATH}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
  PATH: $SNAP/usr/sbin:$SNAP/usr/bin:$SNAP/sbin:$SNAP/bin:$PATH
plugs:
  ngrok-config:
    interface: personal-files
    write:
    - $HOME/.ngrok2
